Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231233 - Opps, sealert hit an error
Summary: Opps, sealert hit an error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 21:38 UTC by Deji Akingunola
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-16 23:26:24 UTC


Attachments (Terms of Use)

Description Deji Akingunola 2007-03-06 21:38:53 UTC
Description of problem:
I got the message in Summary, while updating to rawhide today. Detailed error
message below;
<<
Opps, sealert hit an error
Traceback (most recent call last):
  File "/usr/bin/sealert", line 771, in <module>
    run_as_dbus_service(username)
  File "/usr/bin/sealert", line 85, in run_as_dbus_service
    app = SEAlert(username, dbus_service.presentation_manager)
  File "/usr/bin/sealert", line 489, in __init__
    self.browser = BrowserApplet(self.username, self.alert_client)
  File "/usr/lib/python2.5/site-packages/setroubleshoot/browser.py", line 295,
in __init__
    glade_file = cfg.get('alert','browser_glade_file')
  File "/usr/lib64/python2.5/ConfigParser.py", line 520, in get
    raise NoOptionError(option, section)
NoOptionError: No option 'browser_glade_file' in section: 'alert'
>>

Version-Release number of selected component (if
applicable):setroubleshoot-1.9.3-1.fc7


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John Dennis 2007-03-06 22:28:26 UTC
The config file changed and rpm did not replace it, but rather left it as
/etc/setroubleshoot/setroubleshoot.cfg.rpmnew. Please copy or rename
setroubleshoot.cfg.rpmnew to setroubleshoot.cfg, that should fix the problem as
a quick workaround, in the mean time I'll make sure rpm replaces the file but
leaves the old one a .rpmsave

You'll have to restart things again.

service setroubleshoot restart
sealert -q
sealert -s

If that does not fix the problem for you let me know. Thanks.

Comment 2 Deji Akingunola 2007-03-07 01:21:33 UTC
It seems rpm actually replaced etroubleshoot.cfg for me as I don't have
etc/setroubleshoot/setroubleshoot.cfg.rpmnew; I checked the timestamp on the
file, and it look like the right one:
[deji@agape ~]$ ll /etc/setroubleshoot/setroubleshoot.cfg
-rw-r--r-- 1 root root 5007 2007-03-05 18:42 /etc/setroubleshoot/setroubleshoot.cfg


Comment 3 Deji Akingunola 2007-06-16 23:26:24 UTC
This bug is stale, and is most like fixed by now, no?


Note You need to log in before you can comment on or make changes to this bug.